$(function(){
    refreshDnsResolveInfo(v.domainID);
    $('#type').on('change', typeSelectListener);
    $('#type').change();
});

function addDnsRecords(result)
{
    var $infoContainer = $('#info-container');
    var $template      = $('#record-template');
    $infoContainer.empty()
    $.each(result, addRecord);

    function addRecord(index, item)
    {
        var $record = $template.clone().removeClass('hide').removeAttr('id');
        $.each(item, function(key, value){
            $record.find('td[data-type="' + key + '"]').text(value);
        });
        var recordID = item.id;
        $record.find("a[data-type='delete-record']").attr('href', createLink('domain', 'deleteDNSRecord', 'domainID=' + v.domainID + '&recordID=' + recordID));
        $record.find("a[data-type='edit-record']").on('click', function(){editDnsRecord($record, item)})
        $infoContainer.append($record);   
    }
}

function refreshDnsResolveInfo(domainID)
{
    var link = createLink('domain', 'ajaxGetDnsResolveList', 'domainID=' + domainID);
    $.getJSON(link, '', addDnsRecords);
}

function editDnsRecord($record)
{
    var recordID = $record.find("[data-type='id']").text();
    var value    = $record.find("[data-type='value']").text();
    var ttl      = $record.find("[data-type='ttl']").text();
    $record.find("td[data-type='value']").attr('data-rawvalue', value);
    $record.find("td[data-type='ttl']").attr('data-rawvalue', ttl);
    $record.find("td[data-type='value']").empty().html('<input type="text" data-type="value" value="' + value + '" class="form-control">')
    $record.find("td[data-type='ttl']").empty().html('<input type="text" data-type="ttl" value="' + ttl + '" class="form-control">')

    $record.find("a").hide();
    $submitButton = $("a[data-type='submit-button']").clone().removeClass('hidden').on('click', function(){submitEditResult($record)});
    $cancelButton = $("a[data-type='cancel-button']").clone().removeClass('hidden').on('click', function(){reset($record, false)});
    $record.find("td[data-type='actions']").append($submitButton).append($cancelButton);
}

function submitEditResult($record)
{
    var link = createLink('domain', 'editDnsRecord');
    var params = {
        value    : $record.find("input[data-type='value']").val(),
        ttl      : $record.find("input[data-type='ttl']").val(),
        recordID : $record.find("td[data-type='id']").text(),
        domainID : v.domainID,
    };
    $record.find('button').attr('disabled', 'disabled');
    $record.find('input').attr('disabled', 'disabled');
    $.post(link, params, function(data){
        reset($record, data.code == 200);
        /* Delay 100ms to give browse enough time to compute the display of elements. */
        setTimeout(function(){
            $target = $record.find("a[data-type='edit-record']");
            $target.popover({trigger:'manual', content:data.message, placement:'right'}).popover('show');
            if(data.code == 200)
            {
                $target.next('.popover').addClass('popover-success');
            }
            else
            {
                $target.next('.popover').addClass('popover-danger');
            }
            function distroy(){$target.popover('destroy');}
            setTimeout(distroy, 2000);
        }, 100)
    }, 'json');
    return false;
}

function reset($record, isSuccess)
{
    $record.find('a[data-type*="button"]').remove();
    $record.find('a').show();
    resetTdCell('value');
    resetTdCell('ttl');
    return false;

    function resetTdCell(type)
    {
        var $td   = $record.find("td[data-type='" + type + "']");
        var value = $td.attr('data-rawvalue');
        if(isSuccess){value = $td.find('input').val();}
        $td.empty().text(value);
    }
}

function typeSelectListener()
{
    var value = $(this).val();
    if(value === 'MX')
    {
        $('#prio').val('').show();
    }
    else
    {
        $('#prio').hide();
    }
}
