<?php include '../../common/view/header.admin.html.php';?>
<?php js::set('deleteMessage', $lang->portal->site->confirmDelete)?>
<?php js::set('deleteStatus',  $lang->portal->site->deleteStatus)?>
<?php js::set('updateStatus',  $lang->portal->updating)?>
<?php js::set('query', $query);?>
<?php js::set('mode', $mode);?>
<?php js::set('categoryID', $categoryID);?>
<div class='panel'>
  <div class='panel-heading'>
    <ul id='typeNav' class='nav nav-tabs'>
      <?php if($mode == 'all' or $mode == 'account' or $mode == 'search'):?>
      <li class='active'><?php echo html::a(inlink('admin', "mode=$mode&query=$query&categoryID=$categoryID"), $lang->portal->admin->mode[$mode]);?></li>
      <?php else:?>
      <?php $queryList = explode('|', $this->config->portal->queryList[$mode]);?>
      <?php foreach($queryList as $queryItem):?>
      <li <?php if($queryItem == $query) echo "class='active'"?>>
        <?php echo html::a(inlink('admin', "mode=$mode&query=$queryItem&categoryID=$categoryID"), $lang->portal->admin->query[$queryItem]);?>
      </li>
      <?php endforeach;?>
      <?php endif;?>
    </ul>
    <div class='panel-actions' style='margin-top:-26px;'>
      <form method='post' class='form-inline form-search'>
        <div class='input-group'>
          <?php echo html::input('query', $mode == 'query' ? $query : '', "class='form-control search-query' placeholder='{$lang->portal->searchTip}'");?>
          <span class='input-group-btn'>
            <?php echo html::submitButton($lang->user->searchUser, 'btn btn-primary'); ?>
          </span>
        </div>
      </form>
      <?php commonModel::printLink('portal', 'createFromAdmin', "categoryID=$categoryID", "<i class='icon-plus'></i> " . $lang->portal->createSite, "class='btn btn-primary'");?>
    </div>
  </div>
  <table class='table table-hover table-striped tablesorter table-fixed'>
    <thead>
      <?php $vars = "mode=$mode&query=$query&categoryID=$categoryID&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}";?>
      <tr class='text-center'>
        <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->portal->site->id);?></th>
        <th class='w-60px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->portal->site->status);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('account', $orderBy, $vars, $lang->portal->site->user);?></th>
        <th><?php echo $lang->portal->site->domain;?></th>
        <th class='w-60px'><?php echo $lang->portal->site->plan;?></th>
        <th class='w-70px'><?php commonModel::printOrderLink('host', $orderBy, $vars,  $lang->portal->site->node);?></th>
        <th class='w-90px'><?php commonModel::printOrderLink('addedDate', $orderBy, $vars, $lang->portal->site->addedDate);?></th>
        <th class='w-90px'><?php commonModel::printOrderLink('endDate', $orderBy, $vars, $lang->portal->site->endDate);?></th>
        <th class='w-90px'><?php commonModel::printOrderLink('resolveFailedDate', $orderBy, $vars, $lang->portal->site->deleteDate);?></th>
        <th class='w-100px'><?php echo $lang->portal->site->traffic . '/' . $lang->portal->site->space;?></th>
        <th class='w-160px'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
    <?php foreach($sites as $site):?>
    <?php $labelClass = $site->status == 'try' ? 'label-warning' : ($site->status == 'normal' ? 'label-success' : 'label-danger');?>
    <tr class='text-center'>
      <td><?php echo $site->id;?></td>
      <td><span class="label <?php echo $labelClass;?>"><?php echo $lang->portal->statusList[$site->status]?></span></td>
      <?php $site->realname = !empty($site->realname) ? $site->realname : $site->account;?>
      <td><?php echo $site->realname ? html::a($this->createLink('user', 'checkContact', "user={$site->account}"), $site->realname, "data-toggle='modal'") : '';?></td>
      <td>
        <?php if(isset($site->resolved) and $site->resolved):?>
        <?php echo html::a($site->normalURL, "<i class='icon-globe icon-large'></i> " . $site->domain, "target='_blank' title='{$site->domain}'");?>
        <?php else:?>
        <?php echo html::a($site->tempURL, $site->domain, "target='_blank' title='{$site->domain}'");?>
        <?php endif;?>
        <?php if($site->empowered):?>
        <span class='label label-danger'><?php echo $lang->portal->site->empowered;?></span>
        <?php endif;?>
      </td>
      <td><?php echo $plans[$site->plan]['name'];?></td>
      <td><?php echo zget($nodeList, $site->host);?></td>
      <td><?php echo substr($site->addedDate, 0, 10);?></td>
      <td><?php echo $site->endDate;?></td>
      <td><?php if(!$site->resolved and $site->resolveFailedDate != '0000-00-00') echo date(DT_DATE4, strtotime($site->resolveFailedDate) + 30 * 24 * 60 * 60);?></td>
      <td><?php echo $this->portal->processTrafficOrUsage($site->traffic) . '/' . $this->portal->processTrafficOrUsage($site->usage);?></td>
      <td class='operate nofixed'>
        <?php 
        echo html::a(inlink('login', "siteID={$site->id}"), $lang->portal->site->manage, "target='_blank'");
        echo html::a(inlink('editsite', "siteID={$site->id}"), $lang->edit);
        foreach($lang->portal->site->options as $option)
        {
            list($title, $status) = explode('|', $option);
            if($status == $site->status) continue;
            echo html::a($this->createLink('portal', 'review', "siteID={$site->id}&status={$status}"), $title, "class='review'");
        }
        if($this->app->user->admin == 'super') echo html::a("javascript:deleteSite($site->id)", $lang->delete);
        ?>
      </td>
    </tr>
    <?php endforeach;?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan='3'><?php echo html::a(inlink('updateDNS'), $lang->portal->site->updateDNS, "class='btn btn-primary updateDNS'")?></td>
        <td colspan='8' class='text-right'><?php $pager->show();?></td>
      </tr>
    </tfoot>
  </table>
</div>

<?php include '../../common/view/footer.admin.html.php';?>
